Update address description
Updates the description of an existing address of an asset in a vault account. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
PUT
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
/
{addressId}
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.updateVaultAccountAssetAddress(vaultsApiUpdateVaultAccountAssetAddressRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().updateVaultAccountAssetAddress(vaultAccountId, assetId, addressId, updateVaultAccountAssetAddressRequest, idempotencyKey);response = fireblocks.vaults.update_vault_account_asset_address(vault_account_id, asset_id, address_id, update_vault_account_asset_address_request, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the vault account
The ID of the asset
The address for which to add a description. For XRP, use
:, for all other assets, use only the addressBody
application/json
The address description
Response
OK
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.updateVaultAccountAssetAddress(vaultsApiUpdateVaultAccountAssetAddressRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().updateVaultAccountAssetAddress(vaultAccountId, assetId, addressId, updateVaultAccountAssetAddressRequest, idempotencyKey);response = fireblocks.vaults.update_vault_account_asset_address(vault_account_id, asset_id, address_id, update_vault_account_asset_address_request, idempotency_key);